# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major           4
%define libname         %mklibname %{name} %{major}
%define develname       %mklibname %{name} -d

%define significant_ver 5.0
%define date_ver        20211216

Name:           cdk
Version:        %{significant_ver}.%{date_ver}
Release:        %mkrel 2
Source0:        ftp://ftp.invisible-island.net/cdk/%{name}-%{significant_ver}-%{date_ver}.tgz
License:        BSD
Group:          System/Libraries
URL:            http://invisible-island.net/cdk/
Summary:        Curses Development Kit
BuildRequires:  pkgconfig(ncurses)

%description
Cdk stands for 'Curses Development Kit' and it currently contains 21 ready
to use widgets which facilitate the speedy development of full screen
curses programs.

%package -n     %{libname}
Summary:        Cdk library
Group:          Development/C

%description -n %{libname}
This the cdk library for developing cdk-based applications.

%package -n     %{develname}
Summary:        Headers to develop cdk-based applications
Group:          Development/C
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}


%description -n %{develname}
These are the header files, and cdk preprocessor for developing
cdk-based applications.

%prep
%setup -q -n %{name}-%{significant_ver}-%{date_ver}
%autopatch
perl -pi -e '/^LIB_DIR/ and s,/lib\b,/%{_lib},' Makefile.in

%build
export CFLAGS="%{optflags} -fPIC"
%configure --build=%{_build} --with-ncurses --enable-const
%make_build cdkshlib

%install
%make_install installCDKSHLibrary INSTALL="install -pD"

# fixes rpmlint unstripped-binary-or-object
chmod +x %{buildroot}%{_libdir}/*.so*

%files -n %{libname}
%{_libdir}/*.so.*
%files -n %{develname}
# %%doc COPYING README TODO CHANGES NOTES EXPANDING
%dir %{_docdir}/%{name}
%attr(644,root,root) %{_docdir}/%{name}/*
%{_includedir}/cdk.h
%dir %{_includedir}/%{name}
%attr(644,root,root) %{_includedir}/%{name}/*
%{_bindir}/cdk5-config
%{_libdir}/lib*.a
%{_libdir}/*.so
%{_mandir}/man1/*
%{_mandir}/man3/*


%changelog
* Tue Sep 27 2022 neoclust <neoclust> 5.0.20211216-2.mga9
+ Revision: 1892666
- New version 5.0-20211216

* Fri Mar 18 2022 umeabot <umeabot> 5.0.20210825-2.mga9
+ Revision: 1797644
- Mageia 9 Mass Rebuild

* Sun Jan 16 2022 mrambo3501 <mrambo3501> 5.0.20210825-1.mga9
+ Revision: 1768632
- version 5.0.20210825

* Fri Oct 09 2020 shlomif <shlomif> 5.0.20200923-1.mga8
+ Revision: 1632957
- New version 5.0.20200923

* Wed Feb 12 2020 umeabot <umeabot> 5.0.20160131-4.mga8
+ Revision: 1511202
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 5.0.20160131-3.mga7
+ Revision: 1296036
- Mageia 7 Mass Rebuild

* Wed Oct 19 2016 tv <tv> 5.0.20160131-2.mga6
+ Revision: 1062374
- "fix" underlinking
- switch from %%old_configure to %%configure2_5x --build=%%{_build}

* Sat Mar 05 2016 shlomif <shlomif> 5.0.20160131-1.mga6
+ Revision: 986078
- New version 5.0-20160131

* Thu Feb 11 2016 umeabot <umeabot> 5.0.20140118-7.mga6
+ Revision: 953564
- Mageia 6 Mass Rebuild

* Thu Sep 17 2015 tv <tv> 5.0.20140118-6.mga6
+ Revision: 880245
- enable shared lib + reenable debuginfo
- reenable debuginfo & fix empty debuginfo

* Wed Sep 09 2015 neoclust <neoclust> 5.0.20140118-4.mga6
+ Revision: 875027
- Fix build with new rpm ( empty debuginfo)

* Wed Oct 15 2014 umeabot <umeabot> 5.0.20140118-3.mga5
+ Revision: 741355
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.20140118-2.mga5
+ Revision: 678336
- Mageia 5 Mass Rebuild

* Sat May 17 2014 shlomif <shlomif> 5.0.20140118-1.mga5
+ Revision: 623355
- New version 5.0.20140118

* Fri Oct 18 2013 umeabot <umeabot> 4.9.13-7.mga4
+ Revision: 503312
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 4.9.13-6.mga3
+ Revision: 347520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 blino <blino> 4.9.13-5.mga1
+ Revision: 18943
- imported package cdk


* Tue Nov 30 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.13-5mdv2011.0
+ Revision: 603818
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 4.9.13-4mdv2010.1
+ Revision: 522337
- rebuilt for 2010.1

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 4.9.13-3mdv2010.0
+ Revision: 413222
- rebuild

* Mon Jun 16 2008 Thierry Vignaud <tv@mandriva.org> 4.9.13-2mdv2009.0
+ Revision: 220499
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 4.9.13-1mdv2008.1
+ Revision: 136289
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Jul 17 2007 Adam Williamson <awilliamson@mandriva.org> 4.9.13-1mdv2008.0
+ Revision: 53082
- new release 4.9.13, clean spec
- Import cdk



* Sun Jul 02 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 4.9.11-5mdv2007.0
- %%mkrel
- fix mixed-use-of-spaces-and-tabs

* Fri Apr 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.9.11-4mdk
- pass -fPIC to CFLAGS, needed on the x86_64 arch

* Mon Nov 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 4.9.11-3mdk
- rebuild

* Mon Sep  1 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 4.9.11-2mdk
- lib64 fixes

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 4.9.11-1mdk
- Updated to 4.9.11.

* Wed Jul 09 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.9.10-4mdk
- use %%mklibname macro

* Fri Feb 07 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 4.9.10-3mdk
- Corrected URL
- Minor fixes
- Only static libraries, no libmajor, wronwrongwrong, obsolete old name,
  no ldconfig

* Sun Dec 29 2002 Stefan van der Eijk <stefan@eijk.nu> 4.9.10-2mdk
- BuildRequires
- add man pages (unpackaged files)

* Mon Oct 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 4.9.10-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Initial release.
